$(document).ready(function() {
	var id = $.cookie('orgId');
	var fileId = null;
	var cacheImageKey = null;
	/*企业信息*/
	function companyInformation() {
		$.ajax({
			url: "/ajax/org/" + id,
			type: "GET",
			timeout: 10000,
			dataType: "json",
			beforeSend: function() {},
			success: function(data, textState) {
				if(data.success) {
					console.log(data);
					var $data = data.data;
					$(".h1Font").text($data.name);
					if($data.hasOrgLogo) {
						$("#oimg").attr("src", "/images/org/" + $data.id + ".jpg");
					}
					if($data.orgUrl) {
						$("#inteAddress").val($data.orgUrl);
					} else {
						$("#inteAddress").val("");
					}
					if($data.forShort) {
						$("#businessAbbreviation").val($data.forShort);
					} else {
						$("#businessAbbreviation").val("");
					}
					if($data.foundTime) {
						var oTime = timeGeshi($data.foundTime);
						$("#createTime").val(oTime);
					} else {
						$("#createTime").val("");
					}
					if($data.province) {
						$("#oprovince").text($data.province);
					} else {
						$("#oprovince").text("请选择企业总部所在省或直辖市");
					}
					if($data.city) {
						$("#ocity").text($data.city);
					} else {
						$("#ocity").text("请选择企业总部所在城市");
					}
					if($data.descp) {
						$("textarea").val($data.descp);
					}
					if($data.orgSize) {
						$("#qualificationList").find("li").removeClass("cmpBg listactive");
						switch($data.orgSize) {
							case '1':
								$("#qualificationList").find("li").eq(0).addClass("cmpBg listactive");
								break;
							case '2':
								$("#qualificationList").find("li").eq(1).addClass("cmpBg listactive")
								break;
							case '3':
								$("#qualificationList").find("li").eq(2).addClass("cmpBg listactive")
								break;
							case '4':
								$("#qualificationList").find("li").eq(3).addClass("cmpBg listactive")
								break;
							case '5':
								$("#qualificationList").find("li").eq(4).addClass("cmpBg listactive")
								break;
							default:
								$("#qualificationList").find("li").eq(5).addClass("cmpBg listactive")
								break;
						}
					}
					if($data.orgType) {
						$("#orgType").find("li").removeClass("cmpBg listactive");
						switch($data.orgType) {
							case '2':
								$("#orgType").find("li").eq(0).addClass("cmpBg listactive");
								break;
							case '3':
								$("#orgType").find("li").eq(1).addClass("cmpBg listactive")
								break;
							case '4':
								$("#orgType").find("li").eq(2).addClass("cmpBg listactive")
								break;
							case '5':
								$("#orgType").find("li").eq(3).addClass("cmpBg listactive")
								break;
							case '6':
								$("#orgType").find("li").eq(4).addClass("cmpBg listactive")
								break;
							default:
								$("#orgType").find("li").eq(5).addClass("cmpBg listactive")
								break;
						}
					}
					if($data.industry) {
						indu($data.industry, '#industryList')
					}
					if($data.subject) {
						indu($data.subject, '#subjectList')
					}
					if($data.qualification) {
						indu($data.qualification, '.editUlistC ')
					}
				}
			},
			error: function(XMLHttpRequest, textStats, errorThrown) {
				$.MsgBox.Alert('提示', '服务器请求失败')
			}
		})
	}
	companyInformation()
		/*时间格式*/
	function timeGeshi(otm) {
		var otme = otm.substring(0, 4) + "-" + otm.substring(4, 6) + "-" + otm.substring(6, 8);
		return otme;
	}
	/*企业简称限制在300字内*/
	function limitFont(e) {
		var pastedText;
		if (window.clipboardData  &&  window.clipboardData.getData)  {  // IE
			            
			pastedText  = $("textarea").val() +  window.clipboardData.getData('Text');          
		} 
		else  {            
			pastedText  = $("textarea").val() +  e.originalEvent.clipboardData.getData('Text'); //e.clipboardData.getData('text/plain');
			          
		}
		$("textarea").val(pastedText.substring(0, 300));

	}
	$("textarea").bind({
		paste: function(e) {
			limitFont(e);
			setTimeout(function() {
				$(".limitNum").find("span").text(300 - $("textarea").val().length);
			}, 1);
			e.preventDefault();
		},
		cut: function(e) {
			setTimeout(function() {
				$(".limitNum").find("span").text(300 - $("textarea").val().length);
			}, 1);
		},
		keyup: function(e) {
			if($("textarea").val().length > 300) {
				$("textarea").val($("textarea").val().substring(0, 300));
				e.preventDefault();
			}
			setTimeout(function() {
				$(".limitNum").find("span").text(300 - $("textarea").val().length);
			}, 1);
		}
	});
	/*应用行业及领域及企业资质*/
	function indu(oString, oSelector) {
		var arr = oString.split(",");
		var oArr = new Array();
		var i;
		for(i in arr) {
			oArr.push('<li>' + arr[i] + '<img src="images/con_icon_delete.png" /></li>');
		}
		$(oSelector).html(oArr.join(""));
	}
	/*删除*/
	$("body").on("click", "li img", function() {
			$(this).parent().remove();
		})
		/*添加*/
	$("button:contains('添加')").click(function() {
			var oValue = $(this).parent().siblings(".col-w-10").children("input").val().trim();
			var oJudge = $(this).parent().siblings("ul").find("li");
			if(!oValue) {
				$.MsgBox.Alert('提示', '请先填写内容');
				return;
			}
			if(oValue.length > 10) {
				$.MsgBox.Alert('提示', '添加内容不能超过10个字');
				return;
			}
			for(var i = 0; i < oJudge.length; i++) {
				if(oValue == oJudge[i].innerText) {
					$.MsgBox.Alert('提示', '添加内容不能重复');
					return;
				}
			}
			$(this).parent().siblings("ul").append('<li>' + oValue + '<img src="images/con_icon_delete.png" /></li>');
			$(this).parent().siblings(".col-w-10").children("input").val("");
		})
		/*选择单一选项*/
	$("#orgType,#qualificationList").on("click", "li", function() {
			var oClassName = $(this).addClass("cmpBg listactive").siblings().removeClass("cmpBg listactive");
		})
		/*保存*/
	$("button:contains('保存')").click(function() {
			var oBusinessAbbreviation = $("#businessAbbreviation").val().trim();
			var oTextArea = $("textarea").val().trim();
			var oBusinessType = $("#orgType").find("li.cmpBg.listactive").length;
			var oBusinessDimensions = $("#qualificationList").find("li.cmpBg.listactive").length;
			var oIndustryNumber = $("#industryList").find("li").length;
			var oSubjectNumber = $("#subjectList").find("li").length;
			var oEditUlistCNumber = $(".editUlistC ").find("li").length;
			if(!oBusinessAbbreviation) {
				$.MsgBox.Alert('提示', '企业简称不能为空');
				return;
			}
			if(oBusinessAbbreviation.length > 10) {
				$.MsgBox.Alert('提示', '企业简称不能超过10个字');
				return;
			}
			if(!oTextArea) {
				$.MsgBox.Alert('提示', '企业简介不能为空');
				return;
			}
			if(oBusinessType == 0) {
				$.MsgBox.Alert('提示', '请选择企业类型');
				return;
			}
			if(oIndustryNumber == 0) {
				$.MsgBox.Alert('提示', '企业所属行业必填一项');
				return;
			}
			if(oSubjectNumber == 0) {
				$.MsgBox.Alert('提示', '企业所属领域必填一项');
				return;
			}
			if(oBusinessDimensions == 0) {
				$.MsgBox.Alert('提示', '请选择企业规模');
				return;
			}
			if(oEditUlistCNumber == 0) {
				$.MsgBox.Alert('提示', '企业资质必填一项');
				return;
			}
			/*					
			fn: 企业logo上传临时文件名 NULL 字符串*/
			var tex = $("#orgType").find("li.cmpBg.listactive").text();
			var oTextGui = $("#qualificationList").find("li.cmpBg.listactive").text();
			var $info = {};
			$info.id = id;
			if(cacheImageKey != null) {
				$info.fn = cacheImageKey;
			}
			$info.forShort = $("#businessAbbreviation").val();
			switch(tex) {
				case '上市企业':
					$info.orgType = 2;
					break;
				case '国有企业':
					$info.orgType = 3;
					break;
				case '合资企业':
					$info.orgType = 4;
					break;
				case '私人企业':
					$info.orgType = 5;
					break;
				case '外资企业':
					$info.orgType = 6;
					break;
				default:
					$info.orgType = 7;
					break;
			}
			switch(oTextGui) {
				case '50人以内':
					$info.orgSize = 1;
					break;
				case '50-100人':
					$info.orgSize = 2;
					break;
				case '100-200人':
					$info.orgSize = 3;
					break;
				case '200-500人':
					$info.orgSize = 4;
					break;
				case '500-1000人':
					$info.orgSize = 5;
					break;
				default:
					$info.orgSize = 6;
					break;
			}
			if($("#inteAddress").val().trim()) {
				$info.orgUrl = $("#inteAddress").val();
			}
			if($("#oprovince").text() != "请选择企业总部所在省或直辖市") {
				$info.province = $("#oprovince").text();
			}
			if($("#ocity").text() != "请选择企业总部所在城市") {
				$info.city = $("#ocity").text();
			}
			if($("#createTime").val()) {
				$info.foundTime = st6($("#createTime").val());
			}
			$info.descp = $("textarea").val();
			$info.industry = oString("#industryList");
			$info.subject = oString("#subjectList");
			$info.qualification = oString(".editUlistC");
			$.ajax({
				url: "/ajax/org/update",
				type: "POST",
				data: $info,
				timeout: 10000,
				dataType: "json",
				beforeSend: function() {},
				success: function(data, textState) {
					if(data.success) {
						$.MsgBox.Alert('提示', '修改成功');
						$("#mb_msgicon").css("background", 'url("images/sign_icon_chenggong_nor.png") 0% 0% / contain');	
					}
				},
				error: function(XMLHttpRequest, textStats, errorThrown) {
					$.MsgBox.Alert('提示', '服务器请求失败')
				}
			})
		})
		/*应用行业,学术领域,企业纸质生成字符串*/
	function oString(sele) {
		var len = $(sele).find("li");
		var arry = new Array();
		for(var i = 0; i < len.length; i++) {
			arry.push(len[i].innerText);
		}
		return arry.join(",");
	}
	/*时间转换成6位传给后台*/
	function st6(osr) {
		var tim = osr.substring(0, 4) + osr.substring(5, 7) + osr.substring(8, 10);
		return tim;
	}
	/*企业图片上传*/
	var uploader = WebUploader.create({
		auto: true,
		fileNumLimit: 1,
		swf: '../js/webuploader/Uploader.swf',
		server: '../ajax/cachedFileUpload',
		fileSingleSizeLimit: 5 * 1024 * 1024,
		pick: {
			id: "#filePicker",
			multiple: false
		},
		accept: {
			title: 'Images',
			extensions: 'jpg,jpeg,png',
			mimeTypes: 'image/*'
		}

	});

	// 当有文件添加进来的时候
	uploader.on('fileQueued', function(file) {
		fileId = file.id;
		var $li = $('<div id="' + file.id + '" class="file-item thumbnail">' + '<img>' + '</div>')
		$img = $li.find('img');
		var $list = $('#fileList');
		//判断上传文件格式
		var fileNameAll = file.name;
		var AllImgExt = ".jpg|.jpeg|.png|";
		var extName = fileNameAll.substring(fileNameAll.lastIndexOf(".")).toLowerCase(); //（把路径中的所有字母全部转换为小写）
		if(AllImgExt.indexOf(extName + "|") == -1) {
			var ErrMsg = "该文件类型不允许上传。请上传 " + AllImgExt + " 类型的文件，当前文件类型为" + extName;
			$.MsgBox.Alert('提示', ErrMsg);
			return false;
		}

	});
	 uploader.onError = function( code ) {
        	$.MsgBox.Alert('提示', '请上传jpg、jpeg、png格式的图片，大小不超过5M')
        };
	uploader.on('uploadSuccess', function(file, data) {
		uploader.removeFile(fileId);
		cacheImageKey = data.data[0].cacheKey;
		$("#oimg").attr("src", "/images/tmp/" + cacheImageKey);
	});
	/*取消*/
	$("#Ocancel").click(function() {
			fileId = null;
			cacheImageKey = null;
			companyInformation();
		})
		/*选择城市*/
		/*选择城市填充js	*/
	$(document).on("click", "#City li a", function() {
		var aVal = $(this).text();
		$(this).parent().parent().parent().find('.mr_show').text(aVal);
		$(this).parent().parent().parent().find('input[name=cho_City]').val(aVal);
	});
})